diff -r 014003da870e src/lib-index/mail-index-sync-ext.c
--- a/src/lib-index/mail-index-sync-ext.c	Mon Jun 17 14:39:59 2013 +0300
+++ b/src/lib-index/mail-index-sync-ext.c	Mon Jun 17 16:01:15 2013 +0300
@@ -630,9 +630,14 @@
 
 	ext = array_idx(&map->extensions, ctx->cur_ext_map_idx);
 	if (offset + size > ext->hdr_size) {
+#if 0
 		mail_index_sync_set_corrupted(ctx,
 			"Extension header update points outside header size");
 		return -1;
+#else
+		size = offset > ext->hdr_size ? 0 :
+			ext->hdr_size - offset;
+#endif
 	}
 
 	buffer_write(map->hdr_copy_buf, ext->hdr_offset + offset, data, size);
